Module javafx.controls
Package javafx.scene.chart

# Class Axis.TickMark<T>

java.lang.Object
javafx.scene.chart.Axis.TickMark<T>

Enclosing class:
  Axis<T>

    public static final class Axis.TickMark<T>
    extends Object

TickMark represents the label text, its associated properties for each tick along the Axis.

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `StringExpression` | `label` | The display text for tick mark
  `DoubleExpression` | `position` | The display position along the axis from axis origin in display units
  `ObjectExpression<T>` | `value` | The value for this tick mark in data units

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TickMark()` | Creates and initializes an instance of TickMark.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getLabel()` | Gets the value of the property label.
  `double` | `getPosition()` | Gets the value of the property position.
  `T` | `getValue()` | Gets the value of the property value.
  `boolean` | `isTextVisible()` | Indicates whether this tick mark label text is displayed or not.
  `StringExpression` | `labelProperty()` | The display text for tick mark
  `DoubleExpression` | `positionProperty()` | The display position along the axis from axis origin in display units
  `void` | `setLabel​(String value)` | Sets the value of the property label.
  `void` | `setPosition​(double value)` | Sets the value of the property position.
  `void` | `setTextVisible​(boolean value)` | Specifies whether this tick mark label text is displayed or not.
  `void` | `setValue​(T v)` | Sets the value of the property value.
  `String` | `toString()` | Returns a string representation of this `TickMark` object.
  `ObjectExpression<T>` | `valueProperty()` | The value for this tick mark in data units

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### label

    public final StringExpression labelProperty
    The display text for tick mark
    See Also:
      `getLabel()`, `setLabel(String)`

  - ### value

    public final ObjectExpression<T> valueProperty
    The value for this tick mark in data units
    See Also:
      `getValue()`, `setValue(T)`

  - ### position

    public final DoubleExpression positionProperty
    The display position along the axis from axis origin in display units
    See Also:
      `getPosition()`, `setPosition(double)`

- ## Constructor Details

  - ### TickMark

    public TickMark()
    Creates and initializes an instance of TickMark.

- ## Method Details

  - ### getLabel

    public final String getLabel()
    Gets the value of the property label.
    Property description:
      The display text for tick mark

  - ### setLabel

    public final void setLabel​(String value)
    Sets the value of the property label.
    Property description:
      The display text for tick mark

  - ### labelProperty

    public final StringExpression labelProperty()
    The display text for tick mark
    See Also:
      `getLabel()`, `setLabel(String)`

  - ### getValue

    public final T getValue()
    Gets the value of the property value.
    Property description:
      The value for this tick mark in data units

  - ### setValue

    public final void setValue​(T v)
    Sets the value of the property value.
    Property description:
      The value for this tick mark in data units

  - ### valueProperty

    public final ObjectExpression<T> valueProperty()
    The value for this tick mark in data units
    See Also:
      `getValue()`, `setValue(T)`

  - ### getPosition

    public final double getPosition()
    Gets the value of the property position.
    Property description:
      The display position along the axis from axis origin in display units

  - ### setPosition

    public final void setPosition​(double value)
    Sets the value of the property position.
    Property description:
      The display position along the axis from axis origin in display units

  - ### positionProperty

    public final DoubleExpression positionProperty()
    The display position along the axis from axis origin in display units
    See Also:
      `getPosition()`, `setPosition(double)`

  - ### isTextVisible

    public final boolean isTextVisible()
    Indicates whether this tick mark label text is displayed or not.
    Returns:
      true if tick mark label text is visible and false otherwise

  - ### setTextVisible

    public final void setTextVisible​(boolean value)
    Specifies whether this tick mark label text is displayed or not.
    Parameters:
      `value` - true if tick mark label text is visible and false otherwise

  - ### toString

    public String toString()
    Returns a string representation of this `TickMark` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `TickMark` object.